For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log in to the PayOS Dashboard
GuidesAPI ReferenceHelp Center
GuidesAPI ReferenceHelp Center
  • Authentication API
    • POSTRequest an Access Token
  • Payments API
  • Payment Rules API
  • Payouts API
  • Payers API [BETA]
      • POSTCreate Payer Profile
      • GETGet Payer Profile
  • Reporting API
  • Verification API
Log in to the PayOS Dashboard
LogoLogo
Payers API [BETA]Payers

Create Payer Profile

POST
https://api.payos.money/v1/payers
POST
/v1/payers
$curl -X POST https://api.payos.money/v1/payers \
> -H "Content-Type: application/json" \
> -d '{
> "payerId": "PAYER_abcdef123456",
> "name": "Jane Doe",
> "emailAddress": "jane.doe@example.com",
> "mobileNumber": "+15559876",
> "metadata": {
> "payerId": "PAYER_abcdef123456"
> }
>}'
1{
2 "payerId": "PAYER_abcdef123456",
3 "name": "Jane Doe",
4 "emailAddress": "jane.doe@example.com",
5 "mobileNumber": "+15559876",
6 "metadata": {
7 "additionalInfo": "Sample metadata"
8 }
9}
Creates a new payer profile outside of a transaction. This operation is useful for setting up a payer's information in advance, allowing for smoother transaction processing in the future. The profile includes essential details such as the payer's name, email, and mobile number.
Was this page helpful?
Previous

Get Payer Profile

Next
Built with

Request

This endpoint expects an object.
payerIdstringOptional
Unique identifier for the payer.
namestringOptional
Full name of the payer.
emailAddressstringOptionalformat: "email"
Email address of the payer.
mobileNumberstringOptional
Mobile number of the payer.
metadatamap from strings to stringsOptional
Additional metadata for the payer.

Response

Payer profile created successfully.
payerIdstring
Unique identifier for the payer.
namestring
Full name of the payer.
emailAddressstringformat: "email"
Email address of the payer.
mobileNumberstring
Mobile number of the payer.
metadatamap from strings to strings
Additional metadata for the payer.

Errors

400
Bad Request Error